Proxy HTTP POST request
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/proxy/{proxy_path}
Proxies the HTTP POST request to the deployment resource. You must specify the X-Management-Request HTTP header. NOTE: Use this endpoint for management purposes. It does not provide high performance.
Request body
The JSON payload to proxy to the deployment resource.
Type: string
Type: string
Type: string
Responses
The request has been processed successfully through the proxy.
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - The Resource specified by {ref_id} cannot be found. (code:
clusters.cluster_not_found)